=== debian/control ===
Source: krb5-wallet
Section: net
Priority: optional
Maintainer: Bill MacAllister <bill@ca-zephyr.org>
Build-Depends:
 debhelper-compat (= 13),
 libauthen-sasl-perl,
 libcapture-tiny-perl,
 libcrypt-blowfish-perl,
 libcrypt-cbc-perl,
 libcrypt-generatepassword-perl,
 libdatetime-format-sqlite-perl,
 libdatetime-perl,
 libdbd-sqlite3-perl,
 libdbi-perl,
 libdbix-class-perl,
 libfile-slurp-perl,
 libgssapi-perl,
 libheimdal-kadm5-perl,
 libipc-run-perl,
 libjson-perl,
 libkrb5-dev,
 libmodule-build-perl,
 libnet-dns-perl,
 libnet-duo-perl,
 libnet-ldap-perl,
 libnet-remctl-perl,
 libperl6-slurp-perl,
 libremctl-dev,
 libssl-dev,
 libsql-translator-perl,
 libtest-minimumversion-perl,
 libtest-pod-perl,
 libtest-strict-perl,
 libtimedate-perl,
 perl,
 sqlite3,
Rules-Requires-Root: no
Standards-Version: 4.7.0.0
Homepage: https://salsa.debian.org/whm/krb5-wallet/
Vcs-Git: https://salsa.debian.org/whm/krb5-wallet.git
Vcs-Browser: https://salsa.debian.org/whm/krb5-wallet/

Package: krb5-keytab-backend
Architecture: all
Multi-Arch: foreign
Depends:
 krb5-admin-server,
 perl,
 remctl-server,
 ${misc:Depends},
 ${perl:Depends},
Conflicts: keytab-backend
Description: Provide existing MIT Kerberos keytabs via remctl
 keytab-backend is a service that runs under remctld and allows
 authenticated clients to download Kerberos keytabs from an MIT Kerberos
 KDC without changing the key stored in the Kerberos KDC.  It must run on
 the same host as the Kerberos KDC and uses kadmin.local to extract the
 existing key.  It applies additional ACLs to limit which keys may be
 extracted in this way.  This interface is not needed for Heimdal.

Package: krb5-wallet-client
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: wallet-client
Description: Kerberos-authenticated secure data management client
 The wallet is a system for managing secure data, authorization rules to
 retrieve or change that data, and audit rules for documenting actions
 taken on that data.  Objects of various types may be stored in the
 wallet or generated on request and retrieved by authorized users.  The
 wallet tracks ACLs, metadata, and trace information.  It uses Kerberos
 authentication.  One of the object types it supports is Kerberos keytabs,
 making it suitable as a user-accessible front-end to Kerberos kadmind
 with richer ACL and metadata operations.
 .
 This package contains the wallet client, which talks to a remote wallet
 server to store, download, and manage objects.

Package: krb5-wallet-server
Architecture: all
Multi-Arch: foreign
Depends:
 libcapture-tiny-perl,
 libdatetime-format-sqlite-perl | libdatetime-format-mysql-perl | libdatetime-format-pg-perl,
 libdatetime-perl,
 libdbd-sqlite3-perl | libdbd-mysql-perl | libdbd-pg-perl,
 libdbi-perl,
 libdbix-class-perl,
 libfile-slurp-perl,
 libsql-translator-perl,
 libtimedate-perl,
 remctl-server,
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 krb5-user | libheimdal-kadm5-perl,
 remctl-server (>= 2.14),
Conflicts: wallet-server
Suggests:
 libauthen-sasl-perl,
 libcrypt-blowfish-perl,
 libcrypt-cbc-perl,
 libcrypt-generatepassword-perl,
 libgssapi-perl,
 libipc-run-perl,
 libjson-perl,
 libnet-duo-perl,
 libnet-ldap-perl,
 libnet-remctl-perl,
 libperl6-slurp-perl,
Description: Kerberos-authenticated secure data management server
 The wallet is a system for managing secure data, authorization rules to
 retrieve or change that data, and audit rules for documenting actions
 taken on that data.  Objects of various types may be stored in the
 wallet or generated on request and retrieved by authorized users.  The
 wallet tracks ACLs, metadata, and trace information.  It uses Kerberos
 authentication.  One of the object types it supports is Kerberos keytabs,
 making it suitable as a user-accessible front-end to Kerberos kadmind
 with richer ACL and metadata operations.
 .
 This package contains the wallet server, which runs under remctl,
 maintains the database of object metadata and secure objects, and
 responds to requests from the wallet client.
 .
 This package requires a DBD::* module (libdbd-*-perl) and corresponding
 DateTime::Format::* module (libdatetime-format-*-perl) for the same
 underlying database driver.
