=== debian/rules ===
#!/usr/bin/make -f

# Add hardening build flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow,+pie

# The additional flags to pass to Build.PL, picked up by the upstream build
# system.
export WALLET_PERL_FLAGS := --installdirs vendor --create_packlist 0

# Enable some additional Perl tests.
export AUTOMATED_TESTING = 1

# Tell C TAP Harness to report the verbose output from all tests.
export C_TAP_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-reduced-depends

# Install the remctl configuration as part of the build.
override_dh_auto_install:
	dh_auto_install
	install -d debian/tmp/etc/remctl/acl
	install -m 0644 config/keytab.acl debian/tmp/etc/remctl/acl/keytab
	install -m 0644 config/wallet-report.acl \
	    debian/tmp/etc/remctl/acl/wallet-report

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_compress:
	dh_compress -X examples
