## krb5-wallet 1.6

=== debian/changelog ===
krb5-wallet (1.6) unstable; urgency=medium

  [ Bill MacAllister ]
  * Convert source to native Debian package.
  * Update ACL ldap-attr to accept an arbitrary LDAP filter and improve
    the performance of the ACL check by using a single LDAP search for the
    check.

  [ Russ Allbery ]
  * Fix the permissions on /etc/krb5kdc.  (Closes: #1082430)
  * Add lintian override for the switch from a non-native package to a
    native package.

 -- Bill MacAllister <bill@ca-zephyr.org>  Mon, 23 Sep 2024 20:50:47 -0700
