=== debian/rules ===
--- 
+++ 
@@ -32,3 +32,7 @@
 
 override_dh_compress:
 	dh_compress -X examples
+
+override_dh_fixperms:
+	dh_fixperms
+	chmod 700 debian/krb5-keytab-backend/etc/krb5kdc
