## krb5-wallet 1.7

=== debian/changelog ===
krb5-wallet (1.7) unstable; urgency=medium

  * Only fix /etc/krb5kdc permissions when building arch-independent
    packages, since otherwise it doesn't exist.  (Closes: #1084804)
  * Fix typo of overridden in manual pages, caught by Lintian.
  * Remove now-unused Lintian override for the source package.
  * Add myself to uploaders.

 -- Russ Allbery <rra@debian.org>  Mon, 11 Nov 2024 17:05:15 -0800
