=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Bill MacAllister <bill@ca-zephyr.org>
+Uploaders: Russ Allbery <rra@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libauthen-sasl-perl,
