=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,5 @@
 override_dh_compress:
 	dh_compress -X examples
 
-override_dh_fixperms:
-	dh_fixperms
+execute_after_dh_fixperms-indep:
 	chmod 700 debian/krb5-keytab-backend/etc/krb5kdc
